package com.ssj.service.conch.parents.v2.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author Mount Liu
 * @date 2019/4/26
 */
public class VipV2Dto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 服务名称
     */
    private String name;
    /**
     * 原价
     */
    private BigDecimal price;
    /**
     * 是否可选多个（0：否，1：是）
     */
    private int isMultiple;
    /**
     * 卡类型（C004:作业吧月卡;C005:作业吧半年卡;C006:作业吧年卡）
     */
    private String priceType;
    /**
     * 开始时间
     */
    private String beginDate;
    /**
     * 结束时间
     */
    private String endDate;
    /**
     * 促销价格
     */
    private BigDecimal discount;

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public int getIsMultiple() {
        return isMultiple;
    }

    public void setIsMultiple(int isMultiple) {
        this.isMultiple = isMultiple;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
